EUCA-CREATE-VPC(1)

NAME
euca-create-vpc - Create a new VPC

SYNOPSIS
euca-create-vpc [--tenancy {default,dedicated}] [--show-empty-fields]

[-U URL] [--region USER@REGION] [-I KEY_ID] [-S KEY]
    [--security-token TOKEN] [--debug] [--debugger] [--version] [-h] CIDR

DESCRIPTION
Create a new VPC

  positional arguments:

CIDR
    Address CIDR block for the new VPC (required)

  optional arguments:

--tenancy {default,dedicated}
    the type of instance tenancy to use

--show-empty-fields
    show empty values as "(nil)"

-U URL, --url URL
    compute service endpoint URL

--region USER@REGION
    region and/or user names to search when looking up config file data

-I KEY_ID, --access-key-id KEY_ID

-S KEY, --secret-key KEY

--security-token TOKEN

--debug
    show debugging output

--debugger
    launch interactive debugger on error

--version
    show the program's version and exit

-h, --help
    show this help message and exit